<?php
/**
 * magazine functions and definitions.
 *
 * @package magazine
 */
require_once(ABSPATH . 'wp-admin/includes/file.php');
/**
*TGM Plugin activation.
*/
/*require_once get_template_directory() . '/library/classes/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'livemagazine_recommend_plugin' );
function livemagazine_recommend_plugin() {

    $plugins = array(
        // Include plugin from the WordPress Plugin Repository
		array(
			'name'               => 'Magazine theme widgets', // The plugin name.
			'slug'               => 'magazine_widgets', // The plugin slug (typically the folder name).
			'source'             => 'http://demo.templatic.com/livemagazine/wp-content/plugins/magazine_widgets.zip', // The plugin source.
			//'source'             => 'http://localhost/websites/magazine_widgets.zip', // The plugin source.
			'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			),
		array(
			'name'		=> 'woocommerce',
			'slug'		=> 'woocommerce',
			'required'	=> false,
		),

    );

    $config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => true,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
		/*
		'strings'      => array(
			'page_title'                      => __( 'Install Required Plugins', 'theme-slug' ),
			'menu_title'                      => __( 'Install Plugins', 'theme-slug' ),
			// <snip>...</snip>
			'nag_type'                        => 'updated', // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
		)
		*/
/*	);

	tgmpa( $plugins, $config );

}*/

WP_Filesystem();
$s_url = home_url(add_query_arg(array(), $wp->request));
if ( ! function_exists( 'tmpl_magazine_setup' ) ) :
	/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which
 * runs before the init hook. The init hook is too late for some features, such
 * as indicating support for post thumbnails.
 */
	function tmpl_magazine_setup() {
		/*
		 * Make theme available for translation.
		 * Translations can be filed in the /languages/ directory.
		 * If you're building a theme based on magazine, use a find and replace
		 * to change 'livemagazine' to the name of your theme in all the template files.
		 */
		 /* Localization */

		if ( defined( 'WPLANG' ) && WPLANG != '' ) {
			$locale = WPLANG;
		} else { $locale = get_locale();
		}

		/* inclide localization file */
		if ( file_exists( get_template_directory() . "/languages/$locale.mo" ) ) {
			load_textdomain( 'livemagazine', get_template_directory() . "/languages/$locale.mo" );
		}

		//Declare WooCommerce support
		/*
        Check if woocommerce is active or not
		*/
		if ( ! function_exists( 'check_if_woocommerce_active' ) ) {
			function check_if_woocommerce_active() {
				$plugins = wp_get_active_and_valid_plugins();
				$flag = '';
				foreach ( $plugins as $plugins ) {
					if ( strpos( $plugins,'woocommerce.php' ) !== false ) {
						$flag = 'true';
						break;
					} else {
						 $flag = 'false';
					}
				}
				return $flag;
			}
		}

		if ( ! isset( $content_width ) )
            $content_width = 640;

		/* add theme support of woocommerce */
		if ( function_exists( 'check_if_woocommerce_active' ) ) {
			$is_woo_active = check_if_woocommerce_active();
			if ( $is_woo_active == 'true' ) {
				add_theme_support( 'woocommerce' );
			}
		}

		if ( class_exists( 'woocommerce' ) ) {

			$args = array(
			'name'          => __( 'WooCommerce Sidebar', 'livemagazine' ),
			'id'            => 'woocommerce',
			'description'   => apply_filters( 'supreme_woo_commerce_sidebar_description',__( 'This sidebar is specially for woocommerce product pages, whichever widgets you drop here will be shown in woocommerce product pages.','livemagazine' ) ),
			'class'         => '',
			'before_widget' => '<div id="%1$s" class="widget %2$s "><div class="widget-wrap widget-inside">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
			);
			register_sidebar( $args );
		}

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		//add_action( 'customize_register',  'tmpl_magazine_register_customizer_settings');

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );

		/* This theme uses wp_nav_menu() in one location. */
		register_nav_menus( array(
			'primary' => esc_html__( 'Primary', 'livemagazine' ),
			'secondary' => esc_html__( 'Secondary', 'livemagazine' ),
		) );

			/*
			 * Switch default core markup for search form, comment form, and comments
			 * to output valid HTML5.
			 */
			add_theme_support( 'html5', array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
			) );

			/*
			 * Enable support for Post Formats.
			 * See https://developer.wordpress.org/themes/functionality/post-formats/
			 */
			add_theme_support( 'post-formats', array(
				'aside',
				'image',
				'video',
				'quote',
				'link',
			) );

			// Set up the WordPress core custom background feature.
			add_theme_support( 'custom-background', apply_filters( 'tmpl_magazine_custom_background_args', array(
				'default-color' => 'ffffff',
				'default-image' => '',
				'width'                  => 1000,
				'height'                 => 250,
				'flex-height'            => true,
			) ) );

			/**
	 * Filter Magazine custom-header support arguments.
	 *
	 *
	 * @param array $args {
	 *     An array of custom-header support arguments.
	 *
	 *     @type bool   $header_text            Whether to display custom header text. Default false.
	 *     @type int    $width                  Width in pixels of the custom header image. Default 1260.
	 *     @type int    $height                 Height in pixels of the custom header image. Default 240.
	 *     @type bool   $flex_height            Whether to allow flexible-height header images. Default true.
	 *     @type string $admin_head_callback    Callback function used to style the image displayed in
	 *                                          the Appearance > Header screen.
	 *     @type string $admin_preview_callback Callback function used to create the custom header markup in
	 *                                          the Appearance > Header screen.
	 * }
	 */
			add_theme_support( 'custom-header', apply_filters( 'magazine_custom_header_args', array(
				'default-text-color'     => 'fff',
				'width'                  => 1260,
				'height'                 => 240,
				'flex-height'            => true,
				'wp-head-callback'       => 'magazine_header_style',
				'admin-head-callback'    => 'magazine_admin_header_style',
				'admin-preview-callback' => 'magazine_admin_header_image',
			) ) );

	}
endif;
add_action( 'after_setup_theme', 'tmpl_magazine_setup' );

global $pagenow;
$page = (isset( $_REQUEST['page'] ))? $_REQUEST['page']: '';

/* check for auto update */
if (($pagenow == 'themes.php' || strstr( $s_url,'update.php' ) || strstr( $s_url,'update-core.php' ) || $pagenow == 'update-core.php' || trim( $page ) == trim( 'tmpl_theme_update' )) && file_exists( get_stylesheet_directory() . '/wp_theme_update.php' ) ) {
if ( is_admin() && ($pagenow == 'themes.php' || strstr( $s_url,'update.php' ) || strstr( $s_url,'update-core.php' ) || $pagenow == 'update-core.php' || $pagenow == 'post.php' || $pagenow == 'edit.php'|| $pagenow == 'admin-ajax.php' || trim( $page ) == trim( 'tmpl_theme_update' )) && file_exists( get_stylesheet_directory() . '/wp_theme_update.php' ) ) {
	$is_update_page = 0;
	if ( strstr( $s_url,'update.php' ) || strstr( $s_url,'update-core.php' ) ) {
		$is_update_page = 1;
	}
	$dateTimestamp1 = get_option( 'tmpl_update_check_date' );
	if ( trim( $dateTimestamp1 != '' ) ) {
		$dateTimestamp1 = strtotime( $dateTimestamp1 );
	} else {
		update_option( 'tmpl_update_check_date',date( 'Y-m-d H:i:s' ) );
	}
	$dateTimestamp1 = strtotime( get_option( 'tmpl_update_check_date' ) );
	$dateTimestamp2 = strtotime( date( 'Y-m-d H:i:s' ) );
	$interval = abs( $dateTimestamp2 - $dateTimestamp1 );
	$hour_diff = intval( round( $interval / 60 ) / 60 );
	if ( $hour_diff > 3 || $is_update_page == 1 ) {
		require_once( get_stylesheet_directory() . '/wp_theme_update.php' );
		new WPUpdates_Magazine_Updater( 'https://templatic.com/_data/updates/api/', basename( get_stylesheet_directory_uri() ) );
		if ( $is_update_page == 0 ) {
			update_option( 'tmpl_update_check_date',date( 'Y-m-d H:i:s' ) );
		}
	}
}
}

/**
 * Registers a widget area.
 */
function tmpl_magazine_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Primary Sidebar','livemagazine' ),
		'id'            => 'primary-sidebar',
		'description'   => __( 'Add widgets here to appear in your sidebar. This sidebar will show on those pages in which no sidebar is added.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Above Header Right','livemagazine' ),
		'id'            => 'above-header-right',
		'description'   => __( 'Shows above right side in header ( right side of secondary menu strip. ) .','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Header Right','livemagazine' ),
		'id'            => 'header-right',
		'description'   => __( 'Shows on right side in header.','livemagazine' ),
		'before_widget' => '<div id="%1$s" class="widget searchbar %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Homepage Banner','livemagazine' ),
		'id'            => 'home-page-banner',
		'description'   => __( 'Widget area only for banner slider.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Below Homepage Banner - Full Width','livemagazine' ),
		'id'            => 'below-home-page-banner',
		'description'   => __( 'Widget area for showing content below homepage banner.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="widget section %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Homepage Main Content','livemagazine' ),
		'id'            => 'home-page-main-content',
		'description'   => __( 'Widget area for showing main content part.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="section widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title section-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Homepage Sidebar','livemagazine' ),
		'id'            => 'sidebar-front',
		'description'   => __( 'Shows on home page sidebar.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Detail Page Sidebar','livemagazine' ),
		'id'            => 'detailpage-sidebar',
		'description'   => __( 'Appears at the sidebar of the posts and pages.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => __( 'Above Footer - Full Width','livemagazine' ),
		'id'            => 'above-footer',
		'description'   => __( 'Widget area for showing content above footer.','livemagazine' ),
		'before_widget' => '<section id="%1$s" class="%2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer','livemagazine' ),
		'id'            => 'footer',
		'description'   => __( 'Widget area for footer.','livemagazine' ),
		'before_widget' => '<div id="%1$s" class="widget col-md-3 col-sm-6 col-xs-12 %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

}
add_action( 'widgets_init', 'tmpl_magazine_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function tmpl_magazine_scripts() {
	global $pagenow;

	/* include main style.css */
	wp_enqueue_style( 'main-magazine-style', get_stylesheet_uri() );

	/* include bootstrap.min.css */
	wp_enqueue_style( 'bootstrap-min-style', get_stylesheet_directory_uri() . '/css/bootstrap.min.css' );

	/* include font awesome css */
	wp_enqueue_style( 'fontawesomecss', get_stylesheet_directory_uri() .'/css/font-awesome.min.css' );

	/* include theme-style.css */
	wp_enqueue_style( 'tmpl-magazine-style-colors', get_stylesheet_directory_uri() . '/css/colors.css' );
	wp_enqueue_style( 'tmpl-magazine-style-slider', get_stylesheet_directory_uri() . '/css/masterslider.main.css' );
	wp_enqueue_style( 'tmpl-magazine-style', get_stylesheet_directory_uri() . '/theme-style.css' );

	/* include rtl css if rtl mode is enabled from theme setting */
	$is_magazine_rtl = get_option( 'tmpl_magazine_is_rtl' );
	if ( $is_magazine_rtl && $is_magazine_rtl == 1 ) {
		/* include rtl.css */
		wp_enqueue_style( 'tmpl-rtl-bootstrap-style', get_stylesheet_directory_uri() . '/css/rtl-bootstrap.css' );
		/* include rtl.css */
		wp_enqueue_style( 'tmpl-rtl-style', get_stylesheet_directory_uri() . '/css/rtl.css' );
	}

	wp_enqueue_style( 'tmpl-customizer-css',get_template_directory_uri() . '/css/admin_style.css' );

	/* load jquery library in header */
	wp_enqueue_script( 'jquery', false, array(), false, false );

	/* script for reply button quick response */
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if ( ! is_admin() ) {
		wp_register_script( 'bootstrap-script', get_stylesheet_directory_uri() . '/js/bootstrap.min.js','','',true );
		wp_enqueue_script( 'bootstrap-script' );

		/* Removed tabs script from customizer page because it will create an infinite redirection loop */
		if ( ! isset( $_REQUEST['wp_customize'] ) ) {

			/* script for tabbing  */
			wp_enqueue_script( 'jquery-ui-tabs' );

		}
	}
}
add_action( 'wp_enqueue_scripts', 'tmpl_magazine_scripts' );


/* Register new image sizes. */
function tmpl_magazine_register_image_sizes() {

	/* define sizes of images */
	add_image_size( 'thumbnail', 85, 55, true );
	if ( get_option( 'tmpl_magazine_register_image_sizes' ) != 1 ) {

		if ( get_option( 'thumbnail_size_w' ) != 85 ) {
			update_option( 'thumbnail_size_w',85 );
		}
		if ( get_option( 'thumbnail_size_h' ) != 55 ) {
			update_option( 'thumbnail_size_h',55 );
		}

		if ( get_option( 'medium_size_w' ) != 0 ) {
			update_option( 'medium_size_w',0 );
		}
		if ( get_option( 'medium_size_h' ) != 0 ) {
			update_option( 'medium_size_h',0 );
		}

		if ( get_option( 'large_size_w' ) != 0 ) {
			update_option( 'large_size_w',0 );
		}
		if ( get_option( 'large_size_h' ) != 0 ) {
			update_option( 'large_size_h',0 );
		}

		update_option( 'tmpl_magazine_register_image_sizes',1 );
	}

	/* slider images */
	add_image_size( 'tmpl-slider-image', 1600, 800, true );

	/* add medium sized image */
	add_image_size( 'tmpl-medium-size', 375, 255, true );

	/* trending images */
	add_image_size( 'tmpl-most-trending-image', 780, 525, true );

	/* trending images */
	add_image_size( 'tmpl-posts-thumb', 175, 115, true );

}

add_action( 'init', 'tmpl_magazine_register_image_sizes',10 );

if ( ! function_exists( 'tmpl_magazine_get_theme_data' ) ) {
	/* return the theme data
	*/
	function tmpl_magazine_get_theme_data( $theme_file ) {
		$theme = new WP_Theme( basename( dirname( $theme_file ) ), dirname( dirname( $theme_file ) ) );

		$theme_data = array(
			'Name' => $theme->get( 'Name' ),
			'URI' => $theme->display( 'ThemeURI', true, false ),
			'Description' => $theme->display( 'Description', true, false ),
			'Author' => $theme->display( 'Author', true, false ),
			'AuthorURI' => $theme->display( 'AuthorURI', true, false ),
			'Version' => $theme->get( 'Version' ),
			'Template' => $theme->get( 'Template' ),
			'Status' => $theme->get( 'Status' ),
			'Tags' => $theme->get( 'Tags' ),
			'Title' => $theme->get( 'Name' ),
			'AuthorName' => $theme->get( 'Author' ),
		);

		foreach ( apply_filters( 'extra_theme_headers', array() ) as $extra_header ) {
			if ( ! isset( $theme_data[ $extra_header ] ) ) {
				$theme_data[ $extra_header ] = $theme->get( $extra_header );
			}
		}

		return $theme_data;
	}
}

/**
 * Custom functions for this theme.
 */
require get_template_directory() . '/functions/includes/custom-header.php';
require get_template_directory() . '/functions/tmpl_functions.php';

/**
 * Breadcrumb trail for this theme.
 */
require get_template_directory() . '/functions/tmpl_breadcrumb_trail.php';

/**
 * Custom widgets for this theme.
 */
require get_template_directory() . '/functions/tmpl_widgets.php';

/**
 * Include all theme widgets class files.
 */
require get_template_directory() . '/functions/tmpl_theme_widgets.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/functions/includes/template-tags.php';

/**
 * auto install for this theme.
 */
//require get_template_directory() . '/functions/auto-install/auto_install.php';

/**
 * Customizer settings for this theme.
 */
require get_template_directory() . '/functions/tmpl_customizer.php';

/**
 * color settings for this theme from customizer.
 */
require get_template_directory() . '/functions/tmpl_admin_style.php';


/* EOF */

add_filter( 'wp_title', 'filter_function_name_5471', 10, 3 );
		function filter_function_name_5471( $title, $sep, $seplocation ){
			// filter...

			return $title;
		}

/**
* edited style
*/
add_editor_style('css/editor-style.css');
require get_template_directory() . '/inc/lib/init-tgmpa.php';

// Merlin WP
function templatic_merlin()
{
    require get_template_directory() . '/inc/lib/merlin/vendor/autoload.php';
    require get_template_directory() . '/inc/lib/merlin/merlin.php';
    require get_template_directory() . '/inc/lib/merlin-config.php';
}
add_action('after_setup_theme', 'templatic_merlin');