<?php
/* -------------------------------------------------
Subscriber widget
---------------------------------------------------*/
if ( ! class_exists( 'Tmpl_Widget_Newsletter_Subscription' ) ) {
	class Tmpl_Widget_Newsletter_Subscription extends WP_Widget {

		/**
			 * Sets up a new Newsletter Subscription widget instance.
			 *
			 * @since 2.8.0
			 * @access public
			 */

		function __construct() {
			//Constructor
			$widget_ops = array(
				'classname' => 'newsletter-subscribe col-nlform',
				'description' => apply_filters( 'tmpl_subscriber_widget_title',__( 'Shows a subscribe box with which users can subscribe to your newsletter. Works best in main content, subsidiary and footer areas.','livemagazine' ) ),
			);
			parent::__construct( 'Tmpl_Widget_Newsletter_Subscription',apply_filters( 'subscribewidget_filter',__( 'T &rarr; Newsletter','livemagazine' ) ), $widget_ops );
		}

		/**
			 * Outputs the content for the current Newsletter Subscription widget instance.
			 *
			 * @since 2.8.0
			 * @access public
			 *
			 */
		function widget( $args, $instance ) {
			// prints the widget
			extract( $args, EXTR_SKIP );
			global $mailchimp_api_key,$mailchimp_list_id;
			$feedburner_id = empty( $instance['feedburner_id'] ) ? '' : apply_filters( 'widget_feedburner_id', $instance['feedburner_id'] );
			$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
			$text = empty( $instance['text'] ) ? '' : apply_filters( 'widget_text', $instance['text'] );
			$newsletter_provider = empty( $instance['newsletter_provider'] ) ? 'feedburner' : apply_filters( 'widget_newsletter_provider', $instance['newsletter_provider'] );
			$mailchimp_api_key = empty( $instance['mailchimp_api_key'] ) ? '' : apply_filters( 'widget_mailchimp_api_key', $instance['mailchimp_api_key'] );
			$mailchimp_list_id = empty( $instance['mailchimp_list_id'] ) ? '' : apply_filters( 'widget_mailchimp_list_id', $instance['mailchimp_list_id'] );
			$aweber_list_name = empty( $instance['aweber_list_name'] ) ? '' : apply_filters( 'widget_aweber_list_name', $instance['aweber_list_name'] );
			$feedblitz_list_id = empty( $instance['feedblitz_list_id'] ) ? '' : apply_filters( 'widget_feedblitz_list_id', $instance['feedblitz_list_id'] );
			add_action( 'wp_footer','attach_mailchimp_js' );
			echo trim($args['before_widget']);

			if ( function_exists( 'icl_register_string' ) ) {
				icl_register_string( 'livemagazine',$title,$title );
				$title1 = icl_t( 'livemagazine',$title,$title );
			} else {
				$title1 = $title;
			}

			if ( $title1 && current_theme_supports( 'newsletter_title_abodediv' ) ) {
				echo trim($args['before_title'] . $title1 . $args['after_title']);
			}

			if ( $title1 && ! current_theme_supports( 'newsletter_title_abodediv' ) ) {
				echo trim($args['before_title'] . $title1 . $args['after_title']);
			}

			if ( function_exists( 'icl_register_string' ) ) {
				icl_register_string( 'livemagazine',$text,$text );
				$text1 = icl_t( 'livemagazine',$text,$text );
			} else {
				$text1 = $text;
			}

			if ( $text1 ) { ?>
					<p><?php echo trim($text1); ?> </p>
					<?php
			}?>
				<span class="newsletter_msg" id="newsletter_msg"> </span>
				<?php
				if ( $newsletter_provider == 'feedburner' ) { ?>
					<form action="//feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('//feedburner.google.com/fb/a/mailverify?uri=<?php echo trim($feedburner_id); ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true" class="form-inline">

						<input type="text" id="newsletter_email" name="email" value="" class="field" onfocus="if (this.placeholder == '<?php _e( 'Your Email Address','livemagazine' );?>') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = '<?php _e( 'Your Email Address','livemagazine' );?>';}" placeholder="<?php _e( 'Your Email Address','livemagazine' ); ?>"/>
						<input type="hidden" value="<?php echo trim($feedburner_id); ?>" name="uri"   />
						<input type="hidden" value="<?php bloginfo( 'name' ); ?>" name="title" />
						<input type="hidden" name="loc" value="en_US"/>
						<input class="replace button" type="submit" name="submit" value="<?php _e( 'Subscribe','livemagazine' );?>" />
					</form>
					<?php
				} elseif ( $newsletter_provider == 'mailchimp' ) { ?>
					<div class="form-inline">
						<input type="text" name="email" id="email" value="" class="field form-control input-nlmail input-sm" onfocus="if (this.placeholder == '<?php _e( 'Your Email Address','livemagazine' );?>') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = '<?php _e( 'Your Email Address','livemagazine' );?>';}" placeholder="<?php _e( 'Your Email Address','livemagazine' ); ?>"/>
						<input class="btn btn-secondary btn-sm" type="submit" name="mailchimp_submit" id="mailchimp_submit" value="<?php _e( 'Subscribe','livemagazine' );?>" />
					</div>
					<?php
				} elseif ( $newsletter_provider == 'feedblitz' ) { ?>
					<form Method="POST" action="//www.feedblitz.com/f/f.fbz?AddNewUserDirect" target="popupwindow" onsubmit="window.open('//www.feedblitz.com/f/f.fbz?AddNewUserDirect', 'popupwindow', 'scrollbars=yes,width=600,height=730');return true"  class="form-inline">
						<input type="text" name="email" id="email" value="" class="field" onfocus="if (this.placeholder == '<?php _e( 'Your Email Address','livemagazine' );?>') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = '<?php _e( 'Your Email Address','livemagazine' );?>';}" placeholder="<?php _e( 'Your Email Address','livemagazine' );?>"/>
						<input name="FEEDID" type="hidden" value="<?php echo trim($feedblitz_list_id);?>">
						<input type="submit" class="button" name="feedblitz_submit" value="<?php _e( 'Subscribe','livemagazine' );?>">
					</form>
					<?php
				} elseif ( $newsletter_provider == 'aweber' ) { ?>
					<form method="post" action="//www.aweber.com/scripts/addlead.pl"  class="form-inline">
						<input type="hidden" name="listname" value="<?php echo trim($aweber_list_name);?>" />
						<input type="hidden" name="redirect" value="<?php $url = home_url(add_query_arg(array(), $wp->request)); echo trim($url);?>" />
						<input type="hidden" name="meta_adtracking" value="custom form" />
						<input type="hidden" name="meta_message" value="1" />
						<input type="hidden" name="meta_required" value="name,email" />
						<input type="hidden" name="meta_forward_vars" value="1" />
						<input type="text" name="email" id="email" value="" class="field" onfocus="if (this.placeholder == 'Your Email Address') {this.placeholder = '';}" onblur="if (this.placeholder == '') {this.placeholder = 'Your Email Address';}"  placeholder="<?php _e( 'Your Email Address','livemagazine' );?>"/>
						<input type="submit" class="button" name="aweber_submit" value="Subscribe" />
					</form>
					<?php
				}// End if().

				echo trim($args['after_widget']);
		}

		/**
			 * Handles updating settings for the current Newsletter widget widget instance.
			 *
			 * @since 2.8.0
			 * @access public
			 *
			 */

		function update( $new_instance, $old_instance ) {
			//save the widget
			return $new_instance;
		}

		/**
			 * Outputs the Newsletter widget settings form.
			 *
			 * @since 2.8.0
			 * @access public
			 *
			 * @param array $instance Current settings.
			 */

		function form( $instance ) {
			//widgetform in backend
			$instance = wp_parse_args( (array) $instance, array(
				'title' => __( 'Subscribe To Newsletter','livemagazine' ),
				'text' => __( 'Subscribe to get our latest news','livemagazine' ),
				'newsletter_provider' => 'mailchimp',
				'feedburner_id' => '',
				'mailchimp_api_key' => '',
				'mailchimp_list_id' => '',
				'aweber_list_name' => '',
				'feedblitz_list_id' => '',
			) );
			$feedburner_id       = strip_tags( $instance['feedburner_id'] );
			$title               = strip_tags( $instance['title'] );
			$text                = strip_tags( $instance['text'] );
			$newsletter_provider = strip_tags( $instance['newsletter_provider'] );
			$mailchimp_api_key   = strip_tags( $instance['mailchimp_api_key'] );
			$mailchimp_list_id   = strip_tags( $instance['mailchimp_list_id'] );
			$aweber_list_name    = strip_tags( $instance['aweber_list_name'] );
			$feedblitz_list_id   = strip_tags( $instance['feedblitz_list_id'] );?>
				<p>
				  <label for="<?php echo trim($this->get_field_id( 'title' )); ?>">
					<?php echo __( 'Title:','livemagazine' );?>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'title' )); ?>" name="<?php echo trim($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
				  </label>
				</p>
				<p>
				  <label for="<?php echo trim($this->get_field_id( 'text' )); ?>">
					<?php echo __( 'Text Below Title:','livemagazine' );?>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'text' )); ?>" name="<?php echo trim($this->get_field_name( 'text' )); ?>" type="text" value="<?php echo esc_attr( $text ); ?>" />
				  </label>
				</p>
				<p>
				  <label for="<?php echo trim($this->get_field_id( 'newsletter_provider' )); ?>">
					<?php echo __( 'Newsletter Provider','livemagazine' );?>
					:
					<select id="<?php echo trim($this->get_field_id( 'newsletter_provider' )); ?>" name="<?php echo trim($this->get_field_name( 'newsletter_provider' )); ?>" onchange="show_hide_divs(this.value,'<?php echo trim($this->get_field_id( 'feedburner_id1' )); ?>','<?php echo trim($this->get_field_id( 'mailchimp_id1' )); ?>','<?php echo trim($this->get_field_id( 'feedblitz_id1' )); ?>','<?php echo trim($this->get_field_id( 'aweber_id1' )); ?>');" >
					  <option value="">
						<?php echo __( 'Please select','livemagazine' );?>
					  </option>
					  <option value="feedburner" <?php
						if ( 'feedburner' == $newsletter_provider ) {echo 'selected=selected';}?>>
						<?php echo __( 'Feedburner','livemagazine' );?>
					  </option>
					  <option value="mailchimp" <?php
						if ( 'mailchimp' == $newsletter_provider ) {echo 'selected=selected';}?>>
						<?php echo __( 'MailChimp','livemagazine' );?>
					  </option>
					  <option value="feedblitz" <?php
						if ( 'feedblitz' == $newsletter_provider ) {echo 'selected=selected';}?>>
						<?php echo __( 'FeedBlitz','livemagazine' );?>
					  </option>
					  <option value="aweber" <?php
						if ( 'aweber' == $newsletter_provider ) {echo 'selected=selected';}?>>
						<?php echo __( 'Aweber','livemagazine' );?>
					  </option>
					</select>
				  </label>
				</p>
				<p id="<?php echo trim($this->get_field_id( 'feedburner_id1' )); ?>" style="<?php
				if ( $newsletter_provider == 'feedburner' ) {echo 'display:block';
				} else { echo 'display:none';
				};?>">
				  <label for="<?php echo trim($this->get_field_id( 'feedburner_id' )); ?>">
					<?php echo __( 'ID:','livemagazine' );?>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'feedburner_id' )); ?>" name="<?php echo trim($this->get_field_name( 'feedburner_id' )); ?>" type="text" value="<?php echo esc_attr( $feedburner_id ); ?>" />
				  </label>
				</p>
				<p id="<?php echo trim($this->get_field_id( 'mailchimp_id1' )); ?>" style="<?php
				if ( $newsletter_provider == 'mailchimp' ) {echo 'display:block';
				} else { echo 'display:none';
				};?>">
				  <label for="<?php echo trim($this->get_field_id( 'mailchimp_api_key' )); ?>">
					<?php
						echo __( 'Mailchimp API Key:','livemagazine' );
						$mailchimp_apix_url = 'https://us1.admin.mailchimp.com/account/api';
					?>
					<a href="<?php echo trim($mailchimp_apix_url); ?>" target="_blank"> (?) </a>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'mailchimp_api_key' )); ?>" name="<?php echo trim($this->get_field_name( 'mailchimp_api_key' )); ?>" type="text" value="<?php echo esc_attr( $mailchimp_api_key ); ?>" />
				  </label>
				  <label for="<?php echo trim($this->get_field_id( 'mailchimp_list_id' )); ?>">
					<?php echo __( 'List Id:','livemagazine' );?>
					<a href="//kb.mailchimp.com/article/how-can-i-find-my-list-id" target="_blank"> (?) </a>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'mailchimp_list_id' )); ?>" name="<?php echo trim($this->get_field_name( 'mailchimp_list_id' )); ?>" type="text" value="<?php echo esc_attr( $mailchimp_list_id ); ?>" />
				  </label>
				</p>
				<p id="<?php echo trim($this->get_field_id( 'feedblitz_id1' )); ?>" style="<?php
				if ( $newsletter_provider == 'feedblitz' ) {echo 'display:block';
				} else { echo 'display:none';
				};?>">
				  <label for="<?php echo trim($this->get_field_id( 'feedblitz_list_id' )); ?>">
					<?php echo __( 'List ID:','livemagazine' );?>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'feedblitz_list_id' )); ?>" name="<?php echo trim($this->get_field_name( 'feedblitz_list_id' )); ?>" type="text" value="<?php echo esc_attr( $feedblitz_list_id ); ?>" />
				  </label>
				</p>
				<p id="<?php echo trim($this->get_field_id( 'aweber_id1' )); ?>" style="<?php
				if ( $newsletter_provider == 'aweber' ) {echo 'display:block';
				} else { echo 'display:none';
				};?>">
				  <label for="<?php echo trim($this->get_field_id( 'aweber_list_name' )); ?>">
					<?php echo __( 'List Name:','livemagazine' );?>
					<input class="widefat" id="<?php echo trim($this->get_field_id( 'aweber_list_name' )); ?>" name="<?php echo trim($this->get_field_name( 'aweber_list_name' )); ?>" type="text" value="<?php echo esc_attr( $aweber_list_name ); ?>" />
				  </label>
				</p>
			<?php add_action( 'admin_footer','tmpl_shohide_change_script' );
		}
	}
	/* Add newsletter show hide script in footer */
	function tmpl_shohide_change_script() {
	?>
			<script type="text/javascript">
			function show_hide_divs(newsletter_provider,feedburner_id,mailchimp_id,feedblitz_id,aweber_id)
			{
				if(newsletter_provider == 'feedburner')
				{
					jQuery('#'+feedburner_id).show('slow');
					jQuery('#'+mailchimp_id).hide('slow');
					jQuery('#'+feedblitz_id).hide('slow');
					jQuery('#'+aweber_id).hide('slow');
				}else if(newsletter_provider == 'mailchimp')
				{
					jQuery('#'+mailchimp_id).show('slow');
					jQuery('#'+feedburner_id).hide('slow');
					jQuery('#'+feedblitz_id).hide('slow');
					jQuery('#'+aweber_id).hide('slow');
				}else if(newsletter_provider == 'feedblitz')
				{
					jQuery('#'+feedblitz_id).show('slow');
					jQuery('#'+mailchimp_id).hide('slow');
					jQuery('#'+feedburner_id).hide('slow');
					jQuery('#'+aweber_id).hide('slow');
				}else if(newsletter_provider == 'aweber')
				{
					jQuery('#'+aweber_id).show('slow');
					jQuery('#'+feedblitz_id).hide('slow');
					jQuery('#'+mailchimp_id).hide('slow');
					jQuery('#'+feedburner_id).hide('slow');
				}
			}
		</script>

	<?php }
		/* Script for mail chimp script */
	if ( ! function_exists( 'attach_mailchimp_js' ) ) {
		function attach_mailchimp_js() {
			global $mailchimp_api_key,$mailchimp_list_id;
			?>
			<script type="text/javascript">
				jQuery.noConflict();
				jQuery(document).ready(function()
					{
					jQuery('#mailchimp_submit').click(function()
							{
							jQuery('#process').css('display','block');
							var datastring = '&name=' + escape(jQuery('#name').val()) + '&email=' + escape(jQuery('#email').val()) + '&api_key=<?php echo trim($mailchimp_api_key);?>&list_id=<?php echo trim($mailchimp_list_id);?>';
							jQuery.ajax({
							url: '<?php echo get_template_directory_uri() . '/library/classes/process_mailchimp.php';?>',
							data: datastring,
							success: function(msg)
							{
								jQuery('#process').css('display','none');
								jQuery('#newsletter_msg').html(msg);
							},
							error: function(msg)
							{
								jQuery('#process').css('display','none');
								jQuery('#newsletter_msg').html(msg);
							}
							});
							return false;
						});
					});
			</script>
	<?php
		}
	}
}// End if().
/* EOF */
?>
