<?php
/**
 * Name:Tmpl_Realted_Plopular_Latest_Widget
 * Desc:Tabbed widget for Related,Popular,Latest
 *
 */
class Tmpl_Widget_Realted_Plopular_Latest_Posts extends WP_Widget {

	/**
	 * Sets up a new Realted Plopular widget instance.
	 *
	 * @since 2.8.0
	 * @access public
	 */

	function __construct() {
		$widget_ops = array('classname' => 'widget-tabs', 'description' => __( "Display related, popular and latest posts in a tabbed widget. Related posts will work only on post detail page","livemagazine") );
		parent::__construct('Tmpl_Widget_Realted_Plopular_Latest_Widget', __('T &rarr; Related,Popular,Latest Posts',"livemagazine"), $widget_ops);
		$this->alt_option_name = 'tmpl_widget_realted_plopular_latest_posts';
	}

	/**
	 * Outputs the content for the current Realted Plopular Latest Posts widget instance.
	 *
	 * @since 2.8.0
	 * @access public
	 *
	 */
	function widget($args, $instance) {

		extract($args, EXTR_SKIP);
		echo trim($args['before_widget']);

		$title = empty($instance['title']) ? '' : apply_filters('widget_title', $instance['title']);

		$category = empty($instance['category']) ? '' : apply_filters('widget_category', $instance['category']);
		$post_number = empty($instance['number']) ? '8' : apply_filters('widget_post_number', $instance['number']);
		$show_excerpt = empty($instance['show_excerpt']) ? '50' : apply_filters('widget_show_excerpt', $instance['show_excerpt']);
		$show_related = empty($instance['show_related']) ? '' : apply_filters('widget_show_related', $instance['show_related']);
		$show_popular = empty($instance['show_popular']) ? '' : apply_filters('widget_show_popular', $instance['show_popular']);
		$show_latest = empty($instance['show_latest']) ? '' : apply_filters('widget_show_latest', $instance['show_latest']);
		$show_tag = empty($instance['show_tag']) ? '' : apply_filters('widget_show_tag', $instance['show_tag']);
		$view = empty($instance['view']) ? 'list' : apply_filters('widget_show_view', $instance['view']);
		$post_type = 'post';

		if($view =='grid'){ $class='grid'; }else{ $class="list"; }
		echo '';
		global $wpdb;

		$catCounter = 0;
		$pcount=0;
		$heading = 0;
		if($title)
			echo trim($args['before_title'].$title.$args['after_title']);

		/* generate the unique ID for tabbing, so if widget is used multiple times then it will not conflict */
		$tab_id = 'related_tabs_'.rand(1,999);

		?>

		 <!-- Nav tabs -->
		<script>
		  jQuery(document).ready(function() {
				jQuery( "#<?php echo trim($tab_id); ?>" ).tabs();
		  });
		</script>


		<div class="tabs-content" id="<?php echo trim($tab_id); ?>">


			<ul class="nav nav-tabs" role="tablist">
				<?php if($show_related){?>
					<li <?php if($heading == 0 ) {$show_related_heading = 1; $heading = 1;?>  <?php } ?>>
						<a href="#tab_related"><?php _e('Related',"livemagazine"); ?></a>
					</li>
				<?php } if($show_popular){?>
					<li <?php if($heading == 0 ) {$show_popular_heading = 1; $heading = 1;?>  <?php } ?>>
						<a href="#tab_popular"><?php _e('Popular','livemagazine'); ?></a>
					</li>
				<?php } if($show_latest){?>
					<li <?php if($heading == 0 ) {$show_latest_heading = 1; $heading = 1;?>  <?php } ?>>
						<a href="#tab_latest"><?php _e('Latest','livemagazine'); ?></a>
					</li>
				<?php } if($show_tag){?>
					<li <?php if($heading == 0 ) {$show_latest_heading = 1; $heading = 1;?>  <?php } ?>>
						<a href="#tab_tags"><?php _e('Tags','livemagazine'); ?></a>
					</li>
				<?php } ?>
			</ul>



			<!-- Related post loop -->
			<?php if($show_related): ?>
				<div class="content tab-pane" id="tab_related">
						<?php
						global $post;
						$taxonomies = get_object_taxonomies( (object) array( 'post_type' => $post_type,'public'   => true, '_builtin' => true ));
						/* to fetch related post by tags */
						if(isset($related_post) && $related_post=='tags'){
							$tags = wp_get_post_terms( $post->ID , $taxonomies[1],array("fields" => "names"));
							$postQuery=array(
									  'post_type'  => $post_type,
									  'tax_query' => array(
											array(
												'taxonomy' =>$taxonomies[1],
												'field' => 'name',
												'terms' => $tags,
												'operator'  => 'IN'
											)
										 ),
									  'post__not_in' => array($post->ID),
									  'posts_per_page' => $post_number,
									  'caller_get_posts'=>1,
									  'orderby' => 'RAND',
									 // 'order'  => 'DESC',
									);
						}else{

							 /* to fetch related post by categories */
							 if(isset($post->ID)){
								$terms = wp_get_post_terms($post->ID, $taxonomies[0], array("fields" => "ids"));
							 }

							 /* get category slug */
							 $postQuery = array(
								'post_type'    => $post_type,
								'post_status'  => 'publish',
								'tax_query' => array(
											array(
												'taxonomy' =>$taxonomies[0],
												'field' => 'ID',
												'terms' => isset($terms) ? $terms : '',
												'operator'  => 'IN'
											)
										 ),
								'posts_per_page'=> $post_number,
								'ignore_sticky_posts'=>1,
								'orderby'      => 'RAND',
								'post__not_in' => array(isset($post->ID) ? $post->ID : '')
							);
						}

						$my_query = new wp_query($postQuery);
						$postcount = count($my_query->posts);
						$posttype_obj = get_post_type_object(isset($post->post_type) ? $post->post_type : '' );
						$type_post = "";
						if($postcount > 1 ){
							$type_post = __("Entries",'livemagazine');
						}else{
							$type_post = __("Entry",'livemagazine');
						}

						$post_lable = isset($posttype_obj->labels->menu_name) ? $posttype_obj->labels->menu_name : $type_post;
						if( $my_query->have_posts() ) :
								global $post;

									echo '<ul class="list-videos">';
										/* Loop to display popular posts */
										while ( $my_query->have_posts() ) : $my_query->the_post(); ?>

												<li class="vid-details">
													<div class="vid-image">
														<a href="<?php echo get_permalink(get_the_id());?>">
															<?php
																if ( has_post_thumbnail() ) {
																	the_post_thumbnail('tmpl-posts-thumb');
																}else {
																	echo '<img src="' . esc_url( get_stylesheet_directory_uri() ) . '/images/noimage-300x200.png" />';
																}
															?>
														</a>
													</div>
													<div class="vid-content">
														<h4 class="item-title"><a href="<?php echo get_permalink(get_the_id());?>"><?php the_title(); ?></a></h4>
														<p class="meta-info">
															<?php
																/* get author info */
																$author = get_the_author();
																if($author){
																	$user_url = get_the_author_meta( 'user_url' );
																	if($user_url)
																		echo '<a class="auther" href="'.$user_url.'"> - '.$author.'</a><br>';
																	else
																		echo '<span class="auther"> - '.$author.'</span><br>';
																}

																/* get publish date */
																$publish_date = get_the_date();
																if($publish_date)
																	echo '<span class="date">'.$publish_date.'</span> ';

																/* get comments counter */
																echo '<span class="text-sep">/</span>' ;
																comments_popup_link(
																	__('No comments yet','livemagazine'),
																	__('1 comment','livemagazine'),
																	__('% comments','livemagazine'),
																	'comments-link',
																	__('Comments are off for this post','livemagazine')
																)
															?>
														</p>
													</div>
												</li>

										<?php
										endwhile;
									echo '</ul>';

									wp_reset_query();
									else:
										echo '<p>'.__('Related post not found','livemagazine').'</p>';
									endif;
								?>
						</ul>
				</div>
			<?php endif; ?>

			<!-- Popular post loop -->
			<?php if($show_popular): ?>
				<div class="content tab-pane" id="tab_popular">
						<?php
						/* popular posts query */

						$r = new WP_Query( array( 'post_type'=> $post_type ,'orderby' => 'comment_count','order' => 'DESC','posts_per_page' => $post_number,'no_found_rows' => true,  'post_status' => 'publish') ); /* Query to fetch per comments count  */


						/* Loop start */
						global $post;
						if ($r->have_posts()) :
							echo '<ul class="list-videos">';
							/* Loop to display popular posts */
							while ( $r->have_posts() ) : $r->the_post(); ?>

                                    <li class="vid-details">
                                        <div class="vid-image">
											<a href="<?php echo get_permalink(get_the_id());?>">
												<?php
													if ( has_post_thumbnail() ) {
														the_post_thumbnail('tmpl-posts-thumb');
													}else {
														echo '<img src="' . esc_url( get_stylesheet_directory_uri() ) . '/images/noimage-300x200.png" />';
													}
												?>
											</a>
                                        </div>
                                        <div class="vid-content">
                                            <h4 class="item-title"><a href="<?php echo get_permalink(get_the_id());?>"><?php the_title(); ?></a></h4>
                                            <p class="meta-info">
												<?php
													/* get author info */
													$author = get_the_author();
													if($author){
														$user_url = get_the_author_meta( 'user_url' );
														if($user_url)
															echo '<a class="auther" href="'.$user_url.'"> - '.$author.'</a><br>';
														else
															echo '<span class="auther"> - '.$author.'</span><br>';
													}

													/* get publish date */
													$publish_date = get_the_date();
													if($publish_date)
														echo '<span class="date">'.$publish_date.'</span> ';

													/* get comments counter */
													echo '<span class="text-sep">/</span>' ;
													comments_popup_link(
														__('No comments yet','livemagazine'),
														__('1 comment','livemagazine'),
														__('% comments','livemagazine'),
														'comments-link',
														__('Comments are off for this post','livemagazine')
													);
												?>
                                            </p>
                                        </div>
                                    </li>

							<?php
							endwhile;
							echo '</ul>';
						else:
							 echo '<p>'.__('Popular post not found','livemagazine').'</p>';
						endif;
						wp_reset_query(); ?>
				</div>
			<?php endif; ?>

			<!-- Latest post loop -->
			<?php if($show_latest): ?>
				<div class="content tab-pane" id="tab_latest">
						<?php
							global $wpdb;
							$taxonomies = get_object_taxonomies( (object) array( 'post_type' => $post_type,'public'   => true, '_builtin' => true ));

								/* get category slug */
								$category = implode(',',$category);

								if(!empty($category)){
									$lp = new WP_Query( array( 'post_type'=> $post_type ,
											'posts_per_page' => $post_number,
											'category_name' => $category,
											'orderby' => 'post_date',
											'order' => 'DESC'  ) ); /* Query to fetch per view */
								}else{
									$lp = new WP_Query( array( 'post_type'=> $post_type ,
													 'posts_per_page' => $post_number,
													 'orderby' => 'post_date',
													 'order' => 'DESC'  ) ); /* Query to fetch per view */
								}

								global $post;
								if($lp->have_posts()):

									echo '<ul class="list-videos">';
									/* Loop to display popular posts */
									while($lp->have_posts()): $lp->the_post(); ?>

											<li class="vid-details">
												<div class="vid-image">
													<a href="<?php echo get_permalink(get_the_id());?>">
														<?php
															if ( has_post_thumbnail() ) {
																the_post_thumbnail('tmpl-posts-thumb');
															}else {
																echo '<img src="' . esc_url( get_stylesheet_directory_uri() ) . '/images/noimage-300x200.png" />';
															}
														?>
													</a>
												</div>
												<div class="vid-content">
													<h4 class="item-title"><a href="<?php echo get_permalink(get_the_id());?>"><?php the_title(); ?></a></h4>
													<p class="meta-info">
														<?php
															/* get author info */
															$author = get_the_author();
															if($author){
																$user_url = get_the_author_meta( 'user_url' );
																if($user_url)
																	echo '<a class="auther" href="'.$user_url.'"> - '.$author.'</a><br>';
																else
																	echo '<span class="auther"> - '.$author.'</span><br>';
															}

															/* get publish date */
															$publish_date = get_the_date();
															if($publish_date)
																echo '<span class="date">'.$publish_date.'</span> ';

															/* get comments counter */
															echo '<span class="text-sep">/</span>' ;
															comments_popup_link(
																__('No comments yet','livemagazine'),
																__('1 comment','livemagazine'),
																__('% comments','livemagazine'),
																'comments-link',
																__('Comments are off for this post','livemagazine')
															)
														?>
													</p>
												</div>
											</li>

									<?php
									endwhile;
									echo '</ul>';

								else:
									 echo '<p>'.__('Latest post not found','livemagazine').'</p>';
								endif;
								?>
				</div>
			<?php endif; ?>

			<!-- tags for posts -->
			<?php if($show_tag): ?>
				<div class="content tab-pane" id="tab_tags">
						<?php
						global $wpdb;
						$taxonomies = get_object_taxonomies( (object) array( 'post_type' => $post_type,'public'   => true, '_builtin' => true ));
							$terms = get_terms($taxonomies[1], array(
											'orderby'    => 'count',
											'hide_empty' => 1));
								?>
							<div class="tab-detail">
							<?php
							if ( !empty( $terms ) && !is_wp_error( $terms ) ) {
									$count = count($terms);
									$i=0;
									$term_list = '<p class="my_term-archive">';
									foreach ($terms as $term) {
										$i++;
										$term_list .= '<a href="' . get_term_link( $term ) . '" title="' . sprintf(__('View all post filed under %s', 'livemagazine'), $term->name) . '">' . $term->name . '</a>';
										if ($count != $i) {
											$term_list .= ' &middot; ';
										}
										else $term_list .= '</p>';
									}
									echo trim($term_list);
								}else{
									  echo '<p>'.__('Tag not found','livemagazine').'</p>';
								}
							?>
					</div>
				</div>
			<?php endif; ?>
		</div>


		<!-- Article End -->
		<?php
		echo trim($args['after_widget']);
	}

	/**
	 * Handles updating settings for the current Related - Popular widget instance.
	 *
	 * @since 2.8.0
	 * @access public
	 *
	 */

	function update( $new_instance, $old_instance ) {
		global $wpdb;
		return $new_instance;
	}

	/**
	 * Outputs the Related - Popular widget settings form.
	 *
	 * @since 2.8.0
	 * @access public
	 *
	 * @param array $instance Current settings.
	 */

	function form( $instance ) {

		//widgetform in backend
		$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'category' => '', 'number' => '' ) );
		$title = strip_tags($instance['title']);
		$category = $instance['category'];
		$number = strip_tags($instance['number']);
		$show_related = strip_tags($instance['show_related']);
		$show_popular = strip_tags($instance['show_popular']);
		$show_latest = ( isset( $instance['show_latest'] ) ) ? strip_tags( $instance['show_latest'] ) : '';
		$show_tag = ( isset( $instance['show_tag'] ) ) ? strip_tags( $instance['show_tag'] ) : '';
		?>
		<p>
			<label for="<?php echo trim($this->get_field_id( 'title' )); ?>"><?php _e( 'Title:',"livemagazine" ); ?></label>
			<input class="widefat" id="<?php echo trim($this->get_field_id( 'title' )); ?>" name="<?php echo trim($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo trim($title); ?>" />
		</p>

		<p>
		  <label for="<?php echo trim($this->get_field_id('category')); ?>"><?php _e('Categories ','livemagazine'); ?>: </label>
		  <select class="widefat" id="<?php echo trim($this->get_field_id('category')); ?>" name="<?php echo trim($this->get_field_name('category')); ?>[]" multiple=multiple>
		  		<?php

				$args = array();
		  		$category_slug = "category";
		  		$terms_obj = get_terms( $category_slug, $args );
				foreach($terms_obj as $terms){
		  	 			if($terms->slug != ''){
		  				if(is_array($category) && in_array($terms->slug,$category)){ $selected = "selected=selected"; }else{  $selected =''; }
		  			?>
		  			<option value="<?php echo trim($terms->slug); ?>" <?php echo trim($selected); ?>><?php echo trim($terms->name); ?></option>
		  		<?php  }
				}
		  		?>
		  </select>
		  <p class="description"><?php _e('Select categories from which you want the posts to appear in this widget.','livemagazine'); ?></p>
		 </p>

		<p>
			<label for="<?php echo trim($this->get_field_id( 'number' )); ?>"><?php _e( 'Number of posts to show',"livemagazine" ); ?>: </label>
			<input id="<?php echo trim($this->get_field_id( 'number' )); ?>" name="<?php echo trim($this->get_field_name( 'number' )); ?>" type="text" value="<?php echo trim($number); ?>" size="3" />
		</p>

		<p>
			<input class="checkbox" type="checkbox" <?php checked( $show_related ); ?> id="<?php echo trim($this->get_field_id( 'show_related' )); ?>" name="<?php echo trim($this->get_field_name( 'show_related' )); ?>" value="1"/>

		    <label for="<?php echo trim($this->get_field_id( 'show_related' )); ?>"><?php _e( 'Display related post?',"livemagazine" ); ?></label>
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $show_popular ); ?> id="<?php echo trim($this->get_field_id( 'show_popular' )); ?>" name="<?php echo trim($this->get_field_name( 'show_popular' )); ?>" value="1"/>

		    <label for="<?php echo trim($this->get_field_id( 'show_popular' )); ?>"><?php _e( 'Display popular post?',"livemagazine" ); ?></label>
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $show_latest ); ?> id="<?php echo trim($this->get_field_id( 'show_latest' )); ?>" name="<?php echo trim($this->get_field_name( 'show_latest' )); ?>" value="1"/>

		    <label for="<?php echo trim($this->get_field_id( 'show_latest' )); ?>"><?php _e( 'Display latest post?',"livemagazine" ); ?></label>
		</p>
		<p>
			<input class="checkbox" type="checkbox" <?php checked( $show_tag ); ?> id="<?php echo trim($this->get_field_id( 'show_tag' )); ?>" name="<?php echo trim($this->get_field_name( 'show_tag' )); ?>" value="1"/>

		    <label for="<?php echo trim($this->get_field_id( 'show_tag' )); ?>"><?php _e( 'Display tag?',"livemagazine" ); ?></label>
		</p>
		<?php
	}
}
/* EOF */
?>
