<?php
/*-------------------------------------------------------------------
Social widget START
--------------------------------------------------------------------*/
if ( ! class_exists( 'Tmpl_Widget_Social_Media' ) ) {
	class Tmpl_Widget_Social_Media extends WP_Widget {

		/**
		 * Sets up a new Social Media widget instance.
		 *
		 * @since 2.8.0
		 * @access public
		 */

		function __construct() {
			//Constructor
			$widget_ops = array( 'classname' => 'widget social_media','description' => apply_filters( 'tmpl_social_media_description',__( 'Add icons and links to your social media accounts. Works in header, footer, main content and sidebar widget areas.','livemagazine' ) ) );
			parent::__construct( 'social_media', __( 'T &rarr; Social Media','livemagazine' ), $widget_ops );
		}

		/**
		 * Outputs the content for the current Social Media widget instance.
		 *
		 * @since 2.8.0
		 * @access public
		 *
		 */
		function widget( $args, $instance ) {
			// prints the widget
			extract( $args, EXTR_SKIP );
			echo trim($args['before_widget']);
			echo '<div class="social_media" >';
			$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
			$social_description = empty( $instance['social_description'] ) ? '' : apply_filters( 'widget_title', $instance['social_description'] );
			$social_link = empty( $instance['social_link'] ) ? '' : apply_filters( 'widget_social_link', $instance['social_link'] );
			$social_icon = empty( $instance['social_icon'] ) ? '' : apply_filters( 'widget_social_icon', $instance['social_icon'] );
			$social_text = empty( $instance['social_text'] ) ? '' : apply_filters( 'widget_social_text', $instance['social_text'] );
			if ( function_exists( 'icl_register_string' ) ) {
				icl_register_string( 'livemagazine','social_media_title',$title );
				$title              = icl_t( 'livemagazine','social_media_title',$title );
				icl_register_string( 'livemagazine','social_description',$social_description );
				$social_description = icl_t( 'livemagazine','social_description',$social_description );
			}
			if ( $title != '' ) {
				echo trim($args['before_title']);
				echo trim($title);
				echo trim($args['after_title']);
			}
			if ( $social_description != '' ) : ?>
				<p class="social_description"> <?php echo stripcslashes( $social_description );?> </p>
				<?php endif;?>
				<div class="social_media widget_contact_info">
					<div class="widget-wrap widget-inside">		
					<ul class="social-links">
					<?php
					for ( $c = 0; $c < count( $social_icon ); $c++ ) {
						if ( function_exists( 'icl_register_string' ) ) {
							icl_register_string( 'livemagazine',$social_text[ $c ],$social_text[ $c ] );
							$social_text[ $c ] = icl_t( 'livemagazine',$social_text[ $c ],$social_text[ $c ] );
						}
						?>
						<li> <a href="<?php echo trim($social_link[ $c ]); ?>" class="<?php echo trim($social_text[ $c ]); ?>" target="_blank" >
						<?php
						if ( $social_icon[ $c ] != '' ) :
							echo trim($social_icon[ $c ]);
				endif;
						?></a> </li>
				<?php
					}
									?>
						</ul>
					</div>
				</div>
				<?php
				echo '</div>';
				echo trim($args['after_widget']);
		}

		/**
		 * Handles updating settings for the current Social Media widget instance.
		 *
		 * @since 2.8.0
		 * @access public
		 *
		 */

		function update( $new_instance, $old_instance ) {
			//save the widget
			return $new_instance;
		}

		/**
		 * Outputs the Social Media widget settings form.
		 *
		 * @since 2.8.0
		 * @access public
		 *
		 * @param array $instance Current settings.
		 */
		function form( $instance ) {
			//widget form in backend
			$instance = wp_parse_args( (array) $instance, array(
				'title' => '',
				'social_description' => '',
				'social_link' => array( '//facebook.com/templatic', '//twitter.com/templatic', '//www.youtube.com/user/templatic' ),
				'social_icon' => array( '<i class="fa fa-facebook"></i>', '<i class="fa fa-twitter"></i>', '<i class="fa fa-linkedin"></i>' ),
				'social_text' => array( 'facebook', 'twitter', 'linkedin' ),
			) );
			$title              = strip_tags( $instance['title'] );
			$social_description = strip_tags( $instance['social_description'] );
			$social_link1       = ($instance['social_link']);
			$social_icon1       = ($instance['social_icon']);
			$social_text1       = ($instance['social_text']);
			global $social_link,$social_icon,$social_text;
			$text_social_link = $this->get_field_name( 'social_link' );
			$text_social_icon = $this->get_field_name( 'social_icon' );
			$text_social_text = $this->get_field_name( 'social_text' ); ?>
			<p>
			  <label for="<?php echo trim($this->get_field_id( 'title' )); ?>">
				<?php echo __( 'Title','livemagazine' );?>
				:
				<input class="widefat" id="<?php echo trim($this->get_field_id( 'title' )); ?>" name="<?php echo trim($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo trim($this->get_field_id( 'social_description' )); ?>">
				<?php echo __( 'Description','livemagazine' );?>
				:
				<input class="widefat" id="<?php echo trim($this->get_field_id( 'social_description' )); ?>" name="<?php echo trim($this->get_field_name( 'social_description' )); ?>" type="text" value="<?php echo esc_attr( $social_description ); ?>" />
			  </label>
			</p>
			<p> <i><?php  _e( 'Please enter full URL to your profiles.','livemagazine' ); ?> </i> </p>
			<p>
			  <label for="<?php echo trim($this->get_field_id( 'social_link' )); ?>">
				<?php echo __( 'Social Link','livemagazine' );?>
				:
				<input class="widefat" id="<?php echo trim($this->get_field_id( 'social_link' )); ?>" name="<?php echo trim($text_social_link); ?>[]" type="text" value="<?php echo esc_attr( $social_link1[0] ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo trim($this->get_field_id( 'social_icon' )); ?>">
				<?php echo __( 'Social Icon','livemagazine' );?>
				:
				<input class="widefat" id="<?php echo trim($this->get_field_id( 'social_icon' )); ?>" name="<?php echo trim($text_social_icon); ?>[]" type="text" value="<?php echo esc_attr( $social_icon1[0] ); ?>" />
			  </label>
			</p>
			<p>
			  <label for="<?php echo trim($this->get_field_id( 'social_text1' )); ?>">
				<?php echo __( 'Social Class','livemagazine' );?>
				:
				<input class="widefat" id="<?php echo trim($this->get_field_id( 'social_text1' )); ?>" name="<?php echo trim($text_social_text); ?>[]" type="text" value="<?php echo esc_attr( $social_text1[0] ); ?>" />
			  </label>
			</p>
			<div id="social_tGroup" class="social_tGroup">
				<?php
				for ( $i = 1;$i < count( $social_link1 );$i++ ) {
					if ( $social_link1[ $i ] != '' ) {
						$j = $i + 1;
						echo '<div  class="SocialTextDiv' . $j . '">';
						echo '<p>';
						echo '<label>Social Link ' . $j;
						echo '<input class="widefat" name="' . $text_social_link . '[]" type="text" value="' . esc_attr( $social_link1[ $i ] ) . '" />';
						echo '</label>';
						echo '</p>';
						echo '<p>';
						echo '<label>Social Icon ' . $j;
						echo ' <input type="text" class="widefat"  name="' . $text_social_icon . '[]" value="' . esc_attr( $social_icon1[ $i ] ) . '">';
						echo '</label>';
						echo '</p>';
						echo '<p>';
						echo '<label>Social Class ' . $j;
						echo ' <input type="text" class="widefat"  name="' . $text_social_text . '[]" value="' . esc_attr( $social_text1[ $i ] ) . '">';
						echo '</label>';
						echo '</p>';
						echo '</div>';
					}
				}

							?>
			</div>
				<script type="text/javascript">
				var social_counter = <?php echo trim($j) + 1;?>;
				</script>
			<a	href="javascript:void(0);" id="addtButton" class="addButton" onclick="social_add_tfields('<?php echo trim($text_social_link); ?>','<?php echo trim($text_social_icon); ?>','<?php echo trim($text_social_text); ?>');"> + Add more </a> &nbsp; | &nbsp; <a
							href="javascript:void(0);" id="removetButton" class="removeButton" onclick="social_remove_tfields();">- Remove </a>
			<?php
		}
	}
				add_action( 'admin_head','tmpl_add_script_addnew_1' );
				add_action( 'customize_controls_enqueue_scripts','tmpl_add_script_addnew_1',999 );
	if ( ! function_exists( 'tmpl_add_script_addnew_1' ) ) {
		function tmpl_add_script_addnew_1() {
			global $social_link,$social_icon,$social_text; ?>
						<script type="application/javascript">
								
								function social_add_tfields(name,ilname,sname){
									var SocialTextDiv = jQuery(document.createElement('div')).attr("class", 'SocialTextDiv' + social_counter);
									SocialTextDiv.html('<p><label>Social Link '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+name+'[]" id="textbox' + social_counter + '" value="" /></p>');
									SocialTextDiv.append('<p><label>Social Icon '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+ilname+'[]" id="textbox' + social_counter + '" value="" ></p>');
									SocialTextDiv.append('<p><label>Social Class '+ social_counter+': </label>'+'<input type="text" class="widefat" name="'+sname+'[]" id="textbox' + social_counter + '" value="" ></p>');
									SocialTextDiv.appendTo(".social_tGroup");
									social_counter++;
								}
								
								function social_remove_tfields(){
									if(social_counter-1==1){
										alert("you need one textbox required.");
										return false;
									}
									social_counter--;
									jQuery(".SocialTextDiv" + social_counter).remove();
								}
					</script>
			<?php }
	}
}// End if().

/* EOF */
?>
