<?php
/**
 * The header for our theme.
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="//gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif;
	global $wp_filesystem;
if ( file_exists( get_template_directory() . '/custom.css' ) && $wp_filesystem->get_contents( get_template_directory() . '/custom.css' ) != '' ) {
	echo '<link href="' . get_template_directory_uri() . '/custom.css" rel="stylesheet" type="text/css" />';
}
	wp_head();	
	?>
	
	<link href='https://fonts.googleapis.com/css?family=Merriweather:400,700,900' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Arimo:400,700' rel='stylesheet' type='text/css'>
	
	<!--[if lte IE 8]>
	<link href='https://fonts.googleapis.com/css?family=Merriweather' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Merriweather:700' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Merriweather:900' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Arimo' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Arimo:700' rel='stylesheet' type='text/css'>
	<![endif]-->

</head>

<body <?php body_class(); ?>>

		 <!-- header -->
	
	<header id="header" <?php if ( get_header_image() ) : ?> style="background: #f8f8f8 url('<?php header_image(); ?>') repeat scroll 0 0" <?php endif; ?>>
		<div class="top-header">
			<div class="container">
				<?php

					/*
                    *   get all templatic settings
					*   This global variable is set in functions/tmpl_functions.php
					*/
					global $tmpl_magazine_theme_settings;

					/* call a secondary nevigation menu */
				if ( has_nav_menu( 'secondary' ) ) {
					$secondary_menu_args = array(
					'theme_location'  => 'secondary',
					'container'       => 'ul',
					'menu_class'      => 'topnav',
					'echo'            => true,
					'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
					);
					wp_nav_menu( $secondary_menu_args );
				}

					/* call Above Header Right widget area */
				if ( is_active_sidebar( 'above-header-right' ) ) :
					dynamic_sidebar( 'above-header-right' );
					endif;

				?>
			</div>
			<a id="toggle-top-hdr"><i class="fa fa-angle-up" style="display:none"></i><i class="fa fa-angle-down"></i></a>
		</div>
		<!--/.top-header-->
		<div class="inner-header">
			<div class="container">
				<div class="brand">
					<?php

						/* show site logo */
					if ( isset( $tmpl_magazine_theme_settings['tmpl_logo_url'] ) && $tmpl_magazine_theme_settings['tmpl_logo_url'] ) { ?>
							<a class="logo" href="<?php echo home_url(); ?>" rel="nofollow">
								<img src="<?php echo trim($tmpl_magazine_theme_settings['tmpl_logo_url']); ?>" title="<?php bloginfo( 'description' ); ?>"/>
							</a>
							<?php
					} else { ?>
							<a class="logo" href="<?php echo site_url(); ?>"><img alt="image" src="<?php echo get_template_directory_uri(); ?>/images/logo-magazine.png"></a>
						<?php
					}

						/* show site description */
					if ( $tmpl_magazine_theme_settings['theme_site_description'] ) { ?>
							<br/>
							<small>
								<?php  bloginfo( 'description' ); ?>
							</small>
							<?php
					} ?>
				</div>
				<?php
					/* call Above Header Right widget area */
				if ( is_active_sidebar( 'header-right' ) ) :
					dynamic_sidebar( 'header-right' );
					endif;
				?>
	
			</div>
		</div>
		<!--/.inner-header-->
		<nav class="navbar">
			<div class="container">

								
				
				<?php
				if ( is_active_sidebar( 'mega_menu' ) ) {
					dynamic_sidebar( 'mega_menu' );
				} elseif ( has_nav_menu( 'primary' ) ) { ?>
					<div class="navbar-header">
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
						<span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
					</button>
				</div>
						<div id="navbar" class="collapse navbar-collapse main-navigation ">
						
							<?php

							/* call a primary nevigation menu */
							$primary_menu_args = array(
							'theme_location'  => 'primary',
							'container'       => 'ul',
							'menu_class'      => 'nav navbar-nav',
							'echo'            => true,
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							);
							wp_nav_menu( $primary_menu_args );
						?>
						
						</div>
						<!--/.navbar-collapse -->
				<?php } ?>
				
			</div>
		</nav>
		<!--/.navbar-->
	</header>
	
	<!--/header-->
	

	
	<?php
		/* call Above Header Right widget area */
	if ( is_active_sidebar( 'home-page-banner' ) &&  (is_home() || is_front_page()) ) :
		echo '<div class="main-banner">';
		dynamic_sidebar( 'home-page-banner' );
		echo '</div>';
		endif;
	?>
	
	<div class="container"> <!-- ends in footer.php -->
		<?php

			/* show breadcrumb */
		if ( ! is_home() && ! is_front_page() ) :

			do_action( 'tmpl_magazine_breadcrumb' ); /* action added in tmpl_functions.php */

			endif;

			/* call Above Header Right widget area */
		if ( is_active_sidebar( 'below-home-page-banner' ) && (is_home() || is_front_page()) ) :
			dynamic_sidebar( 'below-home-page-banner' );
			endif;
		?>
		
		<div class="content-wrapper"> <!-- ends in footer.php -->
