<?php
/**
 * Merlin WP configuration file.
 */

if ( ! class_exists( 'Merlin' ) ) {
	return;
}

/**
 * Set directory locations, text strings, and other settings for Merlin WP.
 */
$wizard = new Merlin(
	// Configure Merlin with custom settings.
	$config  = array(
		'directory'             => 'inc/lib/merlin', // Location / directory where Merlin WP is placed in your theme.
		'merlin_url'            => 'merlin',  // The wp-admin page slug where Merlin WP loads.
		'child_action_btn_url'  => 'https://codex.wordpress.org/child_themes', // URL for the 'child-action-link'.
		'dev_mode'              => true,
		'theme_license_step'    => false, // EDD license activation step.
		'edd_remote_api_url'    => '', // EDD_Theme_Updater_Admin remote_api_url.
		'edd_item_name'         => '', // EDD_Theme_Updater_Admin item_name.
		'edd_theme_slug'        => '', // EDD_Theme_Updater_Admin item_slug.
		'theme_license_btn_url' => '', // URL for the 'theme-license-action-link'.
	),
	// Text strings.
	$strings = array(
		'admin-menu'                   => esc_html__( 'Theme Setup', 'livemagazine' ),

		/* translators: 1: Title Tag 2: Theme Name 3: Closing Title Tag */
		'title%s%s%s%s'                => esc_html__( '%1$s%2$s Themes &lsaquo; Theme Setup: %3$s%4$s', 'livemagazine' ),
		'return-to-dashboard'          => esc_html__( 'Return to the dashboard', 'livemagazine' ),

		'btn-skip'                     => esc_html__( 'Skip', 'livemagazine' ),
		'btn-next'                     => esc_html__( 'Next', 'livemagazine' ),
		'btn-start'                    => esc_html__( 'Start', 'livemagazine' ),
		'btn-no'                       => esc_html__( 'Cancel', 'livemagazine' ),
		'btn-plugins-install'          => esc_html__( 'Install', 'livemagazine' ),
		'btn-child-install'            => esc_html__( 'Install', 'livemagazine' ),
		'btn-content-install'          => esc_html__( 'Install', 'livemagazine' ),
		'btn-import'                   => esc_html__( 'Import', 'livemagazine' ),
		'btn-theme-license-install'    => esc_html__( 'Activate', 'livemagazine' ),

		'theme-license-header'         => esc_html__( 'Activate', 'livemagazine' ),
		'theme-license-header-success' => esc_html__( 'You\'re good to go!', 'livemagazine' ),
		'theme-license'                => esc_html__( 'Input the theme license key and activate it, to unlock the theme\'s full potential.', 'livemagazine' ),
		'theme-license-label'          => esc_html__( 'License Key:', 'livemagazine' ),
		'theme-license-success%s'      => esc_html__( 'The theme is already registered, so you can go to the next step!', 'livemagazine' ),
		'theme-license-action-link'    => esc_html__( 'Need help?', 'livemagazine' ),

		/* translators: ThemeName */
		'welcome-header%s'             => esc_html__( 'Welcome to %s', 'livemagazine' ),
		'welcome-header-success%s'     => esc_html__( 'Hi. Welcome back', 'livemagazine' ),
		'welcome%s'                    => esc_html__( 'This wizard will set up your theme, install plugins, and import content. It is optional & should take only a few minutes.', 'livemagazine' ),
		'welcome-success%s'            => esc_html__( 'You may have already run this theme setup wizard. If you would like to proceed anyway, click on the "Start" button below.', 'livemagazine' ),

		'child-header'                 => esc_html__( 'Install Child Theme', 'livemagazine' ),
		'child-header-success'         => esc_html__( 'You\'re good to go!', 'livemagazine' ),
		'child'                        => esc_html__( 'Let\'s build & activate a child theme so you may easily make theme changes.', 'livemagazine' ),
		'child-success%s'              => esc_html__( 'Your child theme has already been installed and is now activated, if it wasn\'t already.', 'livemagazine' ),
		'child-action-link'            => esc_html__( 'Learn about child themes', 'livemagazine' ),
		'child-json-success%s'         => esc_html__( 'Awesome. Your child theme has already been installed and is now activated.', 'livemagazine' ),
		'child-json-already%s'         => esc_html__( 'Awesome. Your child theme has been created and is now activated.', 'livemagazine' ),

		'plugins-header'               => esc_html__( 'Install Plugins', 'livemagazine' ),
		'plugins-header-success'       => esc_html__( 'You\'re up to speed!', 'livemagazine' ),
		'plugins'                      => esc_html__( 'Let\'s install some essential WordPress plugins to get your site up to speed.', 'livemagazine' ),
		'plugins-success%s'            => esc_html__( 'The required WordPress plugins are all installed and up to date. Press "Next" to continue the setup wizard.', 'livemagazine' ),
		'plugins-action-link'          => esc_html__( 'Advanced', 'livemagazine' ),

		'import-header'                => esc_html__( 'Import Content', 'livemagazine' ),
		'import'                       => esc_html__( 'Let\'s import content to your website, to help you get familiar with the theme.', 'livemagazine' ),
		'import-action-link'           => esc_html__( 'Advanced', 'livemagazine' ),

		'ready-header'                 => esc_html__( 'All done. Have fun!', 'livemagazine' ),

		/* translators: Theme Author */
		'ready%s'                      => esc_html__( 'Your theme has been all set up. Enjoy your new theme by %s.', 'livemagazine' ),
		'ready-action-link'            => esc_html__( 'Extras', 'livemagazine' ),
		'ready-big-button'             => esc_html__( 'View your website', 'livemagazine' ),
		'ready-link-1'                 => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://wordpress.org/support/', esc_html__( 'Explore WordPress', 'livemagazine' ) ),
		'ready-link-2'                 => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', 'https://templatic.com/contact/', esc_html__( 'Get Theme Support', 'livemagazine' ) ),
		'ready-link-3'                 => sprintf( '<a href="%1$s" target="_blank">%2$s</a>', admin_url( 'customize.php' ), esc_html__( 'Start Customizing', 'livemagazine' ) ),
	)
);


function livemagazine_consulting_local_import_files() {
	return array(
		array(
			'import_file_name'             => 'Demo Import',
			'local_import_file'            => get_parent_theme_file_path( '/inc/demo/content.xml' ),
			'local_import_widget_file'     => get_parent_theme_file_path( '/inc/demo/widgets.wie' ),
			'local_import_customizer_file' => get_parent_theme_file_path( '/inc/demo/export.dat' ),
			'import_preview_image_url'     => 'http://www.your_domain.com/merlin/preview_import_image1.jpg',
			'import_notice'                => __( 'A special note for this import.', 'livemagazine' ),
			'preview_url'                  => 'https://ecommerce-consulting.salttechno.website',
		),
	);
}
add_filter( 'merlin_import_files', 'livemagazine_consulting_local_import_files' );


/**
* After import setup
*/
function livemagazine_consulting_after_import_setup() {

	$tc_menu_name = 'Primary';
	$tc_front_page_name = 'Home';
	$tc_cart_page_name = 'Cart';
	$tc_checkout_page_name = 'Checkout';
	$tc_account_page_name = 'My account';

	$main_menu = get_term_by( 'name', $tc_menu_name, 'nav_menu' );

	set_theme_mod( 'nav_menu_locations', array(
		'primary' => $main_menu->term_id,
		'secondary' => $main_menu->term_id,
	) );


	// Assign front page and posts page (blog page).
	$front_page_id = get_page_by_title( $tc_front_page_name );
	$cart_page_id  = get_page_by_title( $tc_cart_page_name );
	$checkout_page_id  = get_page_by_title( $tc_checkout_page_name );
	$account_page_id  = get_page_by_title( $tc_account_page_name );
	//$blog_page_id  = get_page_by_title( $tc_blog_page_name );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	
	$woof_seting = get_option( 'woof_settings' );
	$filtr=array();
	$filtr['tax']=array('product_cat'=>'1');
	$upd_new_new_arr = array_merge( $woof_seting, $filtr );
	update_option('woof_settings', $upd_new_new_arr);
	
	update_option( 'woocommerce_cart_page_id', $cart_page_id->ID );
	update_option( 'woocommerce_checkout_page_id', $checkout_page_id->ID );
	update_option( 'woocommerce_myaccount_page_id', $account_page_id->ID );

}
add_action( 'merlin_after_all_import', 'livemagazine_consulting_after_import_setup' );
