<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package magazine
 */

get_header(); ?>

	<div class="row">
		<div id="primary" class="content-area col-md-8 col-sm-7 col-xs-12 col-main-content">
			<main id="main" class="site-main list" role="main">

			<?php
			if ( have_posts() ) : ?>

				
				<h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'livemagazine' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
				

				<?php
				/* Start the Loop */
				while ( have_posts() ) : the_post();

					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					get_template_part( 'template-parts/content', get_post_format() );

				endwhile;

				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif; ?>

			</main><!-- #main -->
		</div><!-- #primary -->
		
		<?php get_sidebar(); ?>

	</div><!-- .row -->

<?php
get_footer();
/* EOF */
?>
