<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package magazine
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php
	if ( is_single() ) {
		the_title( '<h1 class="entry-title">', '</h1>' );
	} else {
		the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
	}

	/* show meta data */
	if ( 'post' === get_post_type() ) :
		magazine_posted_on();
	endif; ?>

	<div class="entry-content">
		<?php

			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'livemagazine' ), array(
					'span' => array(
						'class' => array(),
					),
				) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'livemagazine' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	
	<?php

	do_action( 'tmpl_magazine_after_content' );

	/* get all author related data */
	$author = get_the_author(); /* gets the name  */

	if ( $author && ! is_author() ) :

		$author_id = get_the_author_meta( 'ID' ); /* gets the author ID */
		$author_description = get_the_author_meta( 'description' ); /* gets the basic info */
		$author_avtar = get_avatar( $author_id ); /* get avtar */
		$author_posts_url = get_author_posts_url( $author_id ); /* gets the author url */

		?>
			<div class="post-author">
				<div class="author-photo"><?php echo trim($author_avtar); ?></div>
				<div class="author-details">
					<h4><a class="auther" href="<?php echo trim($author_posts_url); ?>"><?php the_author_link(); ?></a></h4>
					<p><?php echo trim($author_description); ?></p>
				</div>
			</div>
		<?php
	endif;

	/* show tags and edit link */
	tmpl_magazine_entry_footer(); ?>
</article><!-- #post-## -->
